<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Comments.Filter.SSDFilter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Processors.html" >Processors</a>.<a href="../../Comments.html" >Comments</a>.<a href="../Filter.html" >Filter</a>
</div><div class="class-name">class SSDFilter

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Processors/Comments/Filter.py.html" target="detail">../Synopsis/Processors/Comments/Filter.py</a></div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line94" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SSDFilter-inheritance" src="SSDFilter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SSDFilter-inheritance_map" />
<map name="SSDFilter-inheritance_map"><area alt="Scopes/Synopsis/Processors/Comments/Filter/Filter.html" href="Filter.html" shape="rect" coords="19, 7, 280, 31" />
</map>
 <div class="doc">A class that selects only //. comments.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="ssd">ssd</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line97" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SSDFilter.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line99" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filter_comment">filter_comment</a>(<span class="variable">self</span>, <span class="variable">comment</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter.filter_comment" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line106" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Class attributes Inherited from Filter">
<tr><td colspan="2" class="heading">Class attributes Inherited from Filter</td></tr>
<tr><td class="inherited"><a href="Filter.html#visit_builtin" title="class attribute Filter.visit_builtin">visit_builtin</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Filter">
<tr><td colspan="2" class="heading">Methods Inherited from Filter</td></tr>
<tr><td class="inherited"><a href="Filter.html#process" title="method Filter.process">process</a>,
<a href="Filter.html#visit_declaration" title="method Filter.visit_declaration">visit_declaration</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.SSDFilter.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line99" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Compiles the regular expressions</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:07 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
